<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>AMC13: /work/dan/AMC13/amc13-fw/src/common/DDR/ddr3_1_9_a/controller/mig_7series_v1_9_rank_mach.v Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">AMC13
   </div>
   <div id="projectbrief">Firmwares for the different applications of the AMC13 uTCA board made at Boston University</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_fdedb0aba14d44ce9d99bc100e026e6a.html">common</a></li><li class="navelem"><a class="el" href="dir_04ba79c0d2c6a91c409d61692b0edfbc.html">DDR</a></li><li class="navelem"><a class="el" href="dir_112db334f7b2cba50b4af5e23d3bedae.html">ddr3_1_9_a</a></li><li class="navelem"><a class="el" href="dir_0213966ce4768fa9ae2c02b22ea835a7.html">controller</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">mig_7series_v1_9_rank_mach.v</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160; <span class="keyword">//*****************************************************************************</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="keyword">// (c) Copyright 2008 - 2013 Xilinx, Inc. All rights reserved.</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="keyword">//</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="keyword">// This file contains confidential and proprietary information</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="keyword">// of Xilinx, Inc. and is protected under U.S. and</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="keyword">// international copyright and other intellectual property</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="keyword">// laws.</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="keyword">//</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="keyword">// DISCLAIMER</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="keyword">// This disclaimer is not a license and does not grant any</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="keyword">// rights to the materials distributed herewith. Except as</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="keyword">// otherwise provided in a valid license issued to you by</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="keyword">// Xilinx, and to the maximum extent permitted by applicable</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="keyword">// law: (1) THESE MATERIALS ARE MADE AVAILABLE &quot;AS IS&quot; AND</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="keyword">// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES</span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="keyword">// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="keyword">// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="keyword">// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and</span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="keyword">// (2) Xilinx shall not be liable (whether in contract or tort,</span></div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="keyword">// including negligence, or under any other theory of</span></div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="keyword">// liability) for any loss or damage of any kind or nature</span></div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="keyword">// related to, arising under or in connection with these</span></div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="keyword">// materials, including for any direct, or any indirect,</span></div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="keyword">// special, incidental, or consequential loss or damage</span></div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="keyword">// (including loss of data, profits, goodwill, or any type of</span></div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="keyword">// loss or damage suffered as a result of any action brought</span></div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="keyword">// by a third party) even if such damage or loss was</span></div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="keyword">// reasonably foreseeable or Xilinx had been advised of the</span></div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="keyword">// possibility of the same.</span></div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="keyword">//</span></div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="keyword">// CRITICAL APPLICATIONS</span></div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="keyword">// Xilinx products are not designed or intended to be fail-</span></div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="keyword">// safe, or for use in any application requiring fail-safe</span></div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="keyword">// performance, such as life-support or safety devices or</span></div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="keyword">// systems, Class III medical devices, nuclear facilities,</span></div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="keyword">// applications related to the deployment of airbags, or any</span></div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="keyword">// other applications that could lead to death, personal</span></div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="keyword">// injury, or severe property or environmental damage</span></div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="keyword">// (individually and collectively, &quot;Critical</span></div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="keyword">// Applications&quot;). Customer assumes the sole risk and</span></div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="keyword">// liability of any use of Xilinx products in Critical</span></div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<span class="keyword">// Applications, subject only to applicable laws and</span></div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;<span class="keyword">// regulations governing limitations on product liability.</span></div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;<span class="keyword">//</span></div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;<span class="keyword">// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS</span></div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;<span class="keyword">// PART OF THIS FILE AT ALL TIMES.</span></div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;<span class="keyword">//</span></div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;<span class="keyword">//*****************************************************************************</span></div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;<span class="keyword">//   ____  ____</span></div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;<span class="keyword">//  /   /\/   /</span></div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;<span class="keyword">// /___/  \  /    Vendor                : Xilinx</span></div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;<span class="keyword">// \   \   \/     Version               : %version</span></div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;<span class="keyword">//  \   \         Application           : MIG</span></div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;<span class="keyword">//  /   /         Filename              : rank_mach.v</span></div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;<span class="keyword">// /___/   /\     Date Last Modified    : $date$</span></div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;<span class="keyword">// \   \  /  \    Date Created          : Tue Jun 30 2009</span></div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;<span class="keyword">//  \___\/\___\</span></div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;<span class="keyword">//</span></div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;<span class="keyword">//Device            : 7-Series</span></div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;<span class="keyword">//Design Name       : DDR3 SDRAM</span></div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;<span class="keyword">//Purpose           :</span></div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;<span class="keyword">//Reference         :</span></div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;<span class="keyword">//Revision History  :</span></div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;<span class="keyword">//*****************************************************************************</span></div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;<span class="keyword">// Top level rank machine structural block.  This block</span></div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;<span class="keyword">// instantiates a configurable number of rank controller blocks.</span></div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;<span class="preprocessor">`timescale</span> 1ps/1ps</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;</div>
<div class="line"><a name="l00071"></a><span class="lineno"><a class="code" href="enummig__7series__v1__9__rank__mach.html">   71</a></span>&#160;<span class="vhdlkeyword">module</span> <a class="code" href="enummig__7series__v1__9__rank__mach.html">mig_7series_v1_9_rank_mach</a> #</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;  (</div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;   <span class="vhdlkeyword">parameter</span> <span class="vhdlchar">BURST_MODE</span>               = <span class="keyword">&quot;8&quot;</span>,</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;   <span class="vhdlkeyword">parameter</span> <span class="vhdlchar">CS_WIDTH</span>                 = <span class="vhdllogic">4</span>,</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;   <span class="vhdlkeyword">parameter</span> <span class="vhdlchar">DRAM_TYPE</span>                = <span class="keyword">&quot;DDR3&quot;</span>,</div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;   <span class="vhdlkeyword">parameter</span> <span class="vhdlchar">MAINT_PRESCALER_DIV</span>      = <span class="vhdllogic">40</span>,  </div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;   <span class="vhdlkeyword">parameter</span> <span class="vhdlchar">nBANK_MACHS</span>              = <span class="vhdllogic">4</span>,</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;   <span class="vhdlkeyword">parameter</span> <span class="vhdlchar">nCKESR</span>                   = <span class="vhdllogic">4</span>,</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;   <span class="vhdlkeyword">parameter</span> <span class="vhdlchar">nCK_PER_CLK</span>              = <span class="vhdllogic">2</span>,</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;   <span class="vhdlkeyword">parameter</span> <span class="vhdlchar">CL</span>                       = <span class="vhdllogic">5</span>,</div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;   <span class="vhdlkeyword">parameter</span> <span class="vhdlchar">CWL</span>                      = <span class="vhdllogic">5</span>,</div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;   <span class="vhdlkeyword">parameter</span> <span class="vhdlchar">DQRD2DQWR_DLY</span>            = <span class="vhdllogic">2</span>,</div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;   <span class="vhdlkeyword">parameter</span> <span class="vhdlchar">nFAW</span>                     = <span class="vhdllogic">30</span>,</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;   <span class="vhdlkeyword">parameter</span> <span class="vhdlchar">nREFRESH_BANK</span>            = <span class="vhdllogic">8</span>,</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;   <span class="vhdlkeyword">parameter</span> <span class="vhdlchar">nRRD</span>                     = <span class="vhdllogic">4</span>,</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;   <span class="vhdlkeyword">parameter</span> <span class="vhdlchar">nWTR</span>                     = <span class="vhdllogic">4</span>,</div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;   <span class="vhdlkeyword">parameter</span> <span class="vhdlchar">PERIODIC_RD_TIMER_DIV</span>    = <span class="vhdllogic">20</span>,  </div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;   <span class="vhdlkeyword">parameter</span> <span class="vhdlchar">RANK_BM_BV_WIDTH</span>         = <span class="vhdllogic">16</span>,</div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;   <span class="vhdlkeyword">parameter</span> <span class="vhdlchar">RANK_WIDTH</span>               = <span class="vhdllogic">2</span>,</div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;   <span class="vhdlkeyword">parameter</span> <span class="vhdlchar">RANKS</span>                    = <span class="vhdllogic">4</span>,</div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;   <span class="vhdlkeyword">parameter</span> <span class="vhdlchar">REFRESH_TIMER_DIV</span>        = <span class="vhdllogic">39</span>,  </div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;   <span class="vhdlkeyword">parameter</span> <span class="vhdlchar">ZQ_TIMER_DIV</span>             = <span class="vhdllogic">640000</span></div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;  )</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;  (<span class="keyword">/*AUTOARG**/</span></div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;  <span class="keyword">// Outputs</span></div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;  <span class="vhdlchar">periodic_rd_rank_r</span>, <span class="vhdlchar">periodic_rd_r</span>, <span class="vhdlchar">maint_req_r</span>, <span class="vhdlchar">inhbt_act_faw_r</span>, <span class="vhdlchar">inhbt_rd</span>,</div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;  <span class="vhdlchar">inhbt_wr</span>, <span class="vhdlchar">maint_rank_r</span>, <span class="vhdlchar">maint_zq_r</span>, <span class="vhdlchar">maint_sre_r</span>, <span class="vhdlchar">maint_srx_r</span>, <span class="vhdlchar">app_sr_active</span>,</div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;  <span class="vhdlchar">app_ref_ack</span>, <span class="vhdlchar">app_zq_ack</span>, <span class="vhdlchar">col_rd_wr</span>, <span class="vhdlchar">maint_ref_zq_wip</span>,</div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;  <span class="keyword">// Inputs</span></div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;  <span class="vhdlchar">wr_this_rank_r</span>, <span class="vhdlchar">slot_1_present</span>, <span class="vhdlchar">slot_0_present</span>, <span class="vhdlchar">sending_row</span>,</div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;  <span class="vhdlchar">sending_col</span>, <span class="vhdlchar">rst</span>, <span class="vhdlchar">rd_this_rank_r</span>, <span class="vhdlchar">rank_busy_r</span>, <span class="vhdlchar">periodic_rd_ack_r</span>,</div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;  <span class="vhdlchar">maint_wip_r</span>, <span class="vhdlchar">insert_maint_r1</span>, <span class="vhdlchar">init_calib_complete</span>, <span class="vhdlchar">clk</span>, <span class="vhdlchar">app_zq_req</span>,</div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;  <span class="vhdlchar">app_sr_req</span>, <span class="vhdlchar">app_ref_req</span>, <span class="vhdlchar">app_periodic_rd_req</span>, <span class="vhdlchar">act_this_rank_r</span></div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;  );</div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;</div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;  <span class="keyword">/*AUTOINPUT**/</span></div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;  <span class="keyword">// Beginning of automatic inputs (from unused autoinst inputs)</span></div>
<div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;  <span class="vhdlkeyword">input</span> [<span class="vhdlchar">RANK_BM_BV_WIDTH</span>-<span class="vhdllogic">1</span>:<span class="vhdllogic">0</span>] <span class="vhdlchar">act_this_rank_r</span>; <span class="keyword">// To rank_cntrl0 of rank_cntrl.v</span></div>
<div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;  <span class="vhdlkeyword">input</span>                 <span class="vhdlchar">app_periodic_rd_req</span>;    <span class="keyword">// To rank_cntrl0 of rank_cntrl.v</span></div>
<div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;  <span class="vhdlkeyword">input</span>                 <span class="vhdlchar">app_ref_req</span>;            <span class="keyword">// To rank_cntrl0 of rank_cntrl.v</span></div>
<div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;  <span class="vhdlkeyword">input</span>                 <span class="vhdlchar">app_zq_req</span>;             <span class="keyword">// To rank_common0 of rank_common.v</span></div>
<div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;  <span class="vhdlkeyword">input</span>                 <span class="vhdlchar">app_sr_req</span>;             <span class="keyword">// To rank_common0 of rank_common.v</span></div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;  <span class="vhdlkeyword">input</span>                 <span class="vhdlchar">clk</span>;                    <span class="keyword">// To rank_cntrl0 of rank_cntrl.v, ...</span></div>
<div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;  <span class="vhdlkeyword">input</span>                 <span class="vhdlchar">col_rd_wr</span>;              <span class="keyword">// To rank_cntrl0 of rank_cntrl.v, ...</span></div>
<div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;  <span class="vhdlkeyword">input</span>                 <span class="vhdlchar">init_calib_complete</span>;    <span class="keyword">// To rank_cntrl0 of rank_cntrl.v, ...</span></div>
<div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;  <span class="vhdlkeyword">input</span>                 <span class="vhdlchar">insert_maint_r1</span>;        <span class="keyword">// To rank_cntrl0 of rank_cntrl.v, ...</span></div>
<div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;  <span class="vhdlkeyword">input</span>                 <span class="vhdlchar">maint_wip_r</span>;            <span class="keyword">// To rank_common0 of rank_common.v</span></div>
<div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;  <span class="vhdlkeyword">input</span>                 <span class="vhdlchar">periodic_rd_ack_r</span>;      <span class="keyword">// To rank_common0 of rank_common.v</span></div>
<div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;  <span class="vhdlkeyword">input</span> [(<span class="vhdlchar">RANKS</span>*<span class="vhdlchar">nBANK_MACHS</span>)-<span class="vhdllogic">1</span>:<span class="vhdllogic">0</span>] <span class="vhdlchar">rank_busy_r</span>;  <span class="keyword">// To rank_cntrl0 of rank_cntrl.v</span></div>
<div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;  <span class="vhdlkeyword">input</span> [<span class="vhdlchar">RANK_BM_BV_WIDTH</span>-<span class="vhdllogic">1</span>:<span class="vhdllogic">0</span>] <span class="vhdlchar">rd_this_rank_r</span>;  <span class="keyword">// To rank_cntrl0 of rank_cntrl.v</span></div>
<div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;  <span class="vhdlkeyword">input</span>                 <span class="vhdlchar">rst</span>;                    <span class="keyword">// To rank_cntrl0 of rank_cntrl.v, ...</span></div>
<div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;  <span class="vhdlkeyword">input</span> [<span class="vhdlchar">nBANK_MACHS</span>-<span class="vhdllogic">1</span>:<span class="vhdllogic">0</span>] <span class="vhdlchar">sending_col</span>;          <span class="keyword">// To rank_cntrl0 of rank_cntrl.v</span></div>
<div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;  <span class="vhdlkeyword">input</span> [<span class="vhdlchar">nBANK_MACHS</span>-<span class="vhdllogic">1</span>:<span class="vhdllogic">0</span>] <span class="vhdlchar">sending_row</span>;          <span class="keyword">// To rank_cntrl0 of rank_cntrl.v</span></div>
<div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;  <span class="vhdlkeyword">input</span> [<span class="vhdllogic">7</span>:<span class="vhdllogic">0</span>]           <span class="vhdlchar">slot_0_present</span>;         <span class="keyword">// To rank_common0 of rank_common.v</span></div>
<div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;  <span class="vhdlkeyword">input</span> [<span class="vhdllogic">7</span>:<span class="vhdllogic">0</span>]           <span class="vhdlchar">slot_1_present</span>;         <span class="keyword">// To rank_common0 of rank_common.v</span></div>
<div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;  <span class="vhdlkeyword">input</span> [<span class="vhdlchar">RANK_BM_BV_WIDTH</span>-<span class="vhdllogic">1</span>:<span class="vhdllogic">0</span>] <span class="vhdlchar">wr_this_rank_r</span>;  <span class="keyword">// To rank_cntrl0 of rank_cntrl.v</span></div>
<div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;  <span class="keyword">// End of automatics</span></div>
<div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;</div>
<div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;  <span class="keyword">/*AUTOOUTPUT**/</span></div>
<div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;  <span class="keyword">// Beginning of automatic outputs (from unused autoinst outputs)</span></div>
<div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;  <span class="vhdlkeyword">output</span>                <span class="vhdlchar">maint_req_r</span>;            <span class="keyword">// From rank_common0 of rank_common.v</span></div>
<div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;  <span class="vhdlkeyword">output</span>                <span class="vhdlchar">periodic_rd_r</span>;          <span class="keyword">// From rank_common0 of rank_common.v</span></div>
<div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;  <span class="vhdlkeyword">output</span> [<span class="vhdlchar">RANK_WIDTH</span>-<span class="vhdllogic">1</span>:<span class="vhdllogic">0</span>] <span class="vhdlchar">periodic_rd_rank_r</span>;   <span class="keyword">// From rank_common0 of rank_common.v</span></div>
<div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;  <span class="keyword">// End of automatics</span></div>
<div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;  </div>
<div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;  <span class="keyword">/*AUTOWIRE**/</span></div>
<div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;  <span class="keyword">// Beginning of automatic wires (for undeclared instantiated-module outputs)</span></div>
<div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;  <span class="vhdlkeyword">wire</span>                  <span class="vhdlchar">maint_prescaler_tick_r</span>; <span class="keyword">// From rank_common0 of rank_common.v</span></div>
<div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;  <span class="vhdlkeyword">wire</span>                  <span class="vhdlchar">refresh_tick</span>;           <span class="keyword">// From rank_common0 of rank_common.v</span></div>
<div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;  <span class="keyword">// End of automatics</span></div>
<div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;</div>
<div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;</div>
<div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;  <span class="vhdlkeyword">output</span> [<span class="vhdlchar">RANKS</span>-<span class="vhdllogic">1</span>:<span class="vhdllogic">0</span>] <span class="vhdlchar">inhbt_act_faw_r</span>;</div>
<div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;  <span class="vhdlkeyword">output</span> [<span class="vhdlchar">RANKS</span>-<span class="vhdllogic">1</span>:<span class="vhdllogic">0</span>] <span class="vhdlchar">inhbt_rd</span>;</div>
<div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;  <span class="vhdlkeyword">output</span> [<span class="vhdlchar">RANKS</span>-<span class="vhdllogic">1</span>:<span class="vhdllogic">0</span>] <span class="vhdlchar">inhbt_wr</span>;</div>
<div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;  <span class="vhdlkeyword">output</span> [<span class="vhdlchar">RANK_WIDTH</span>-<span class="vhdllogic">1</span>:<span class="vhdllogic">0</span>] <span class="vhdlchar">maint_rank_r</span>;</div>
<div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;  <span class="vhdlkeyword">output</span> <span class="vhdlchar">maint_zq_r</span>;</div>
<div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;  <span class="vhdlkeyword">output</span> <span class="vhdlchar">maint_sre_r</span>;</div>
<div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;  <span class="vhdlkeyword">output</span> <span class="vhdlchar">maint_srx_r</span>;</div>
<div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;  <span class="vhdlkeyword">output</span> <span class="vhdlchar">app_sr_active</span>;</div>
<div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;  <span class="vhdlkeyword">output</span> <span class="vhdlchar">app_ref_ack</span>;</div>
<div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;  <span class="vhdlkeyword">output</span> <span class="vhdlchar">app_zq_ack</span>;</div>
<div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;  <span class="vhdlkeyword">output</span> <span class="vhdlchar">maint_ref_zq_wip</span>;</div>
<div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;</div>
<div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;  <span class="vhdlkeyword">wire</span> [<span class="vhdlchar">RANKS</span>-<span class="vhdllogic">1</span>:<span class="vhdllogic">0</span>] <span class="vhdlchar">refresh_request</span>;</div>
<div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;  <span class="vhdlkeyword">wire</span> [<span class="vhdlchar">RANKS</span>-<span class="vhdllogic">1</span>:<span class="vhdllogic">0</span>] <span class="vhdlchar">periodic_rd_request</span>;</div>
<div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;  <span class="vhdlkeyword">wire</span> [<span class="vhdlchar">RANKS</span>-<span class="vhdllogic">1</span>:<span class="vhdllogic">0</span>] <span class="vhdlchar">clear_periodic_rd_request</span>;</div>
<div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;  </div>
<div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;  <span class="vhdlkeyword">genvar</span> <span class="vhdlchar">ID</span>;</div>
<div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;  <span class="vhdlkeyword">generate</span></div>
<div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;    <span class="vhdlkeyword">for</span> (<span class="vhdlchar">ID</span>=<span class="vhdllogic">0</span>; <span class="vhdlchar">ID</span>&lt;<span class="vhdlchar">RANKS</span>; <span class="vhdlchar">ID</span>=<span class="vhdlchar">ID</span>+<span class="vhdllogic">1</span>) <span class="vhdlkeyword">begin</span>:<span class="vhdlchar">rank_cntrl</span></div>
<div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;      <a class="code" href="enummig__7series__v1__9__rank__cntrl.html">mig_7series_v1_9_rank_cntrl</a> #</div>
<div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;        (<span class="keyword">/*AUTOINSTPARAM**/</span></div>
<div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;         <span class="keyword">// Parameters</span></div>
<div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;         .<span class="vhdlchar">BURST_MODE</span>                    (<span class="vhdlchar">BURST_MODE</span>),</div>
<div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;         .<span class="vhdlchar">ID</span>                            (<span class="vhdlchar">ID</span>),</div>
<div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160;         .<span class="vhdlchar">nBANK_MACHS</span>                   (<span class="vhdlchar">nBANK_MACHS</span>),</div>
<div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160;         .<span class="vhdlchar">nCK_PER_CLK</span>                   (<span class="vhdlchar">nCK_PER_CLK</span>),</div>
<div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160;         .<span class="vhdlchar">CL</span>                            (<span class="vhdlchar">CL</span>),</div>
<div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;         .<span class="vhdlchar">CWL</span>                           (<span class="vhdlchar">CWL</span>),</div>
<div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;         .<span class="vhdlchar">DQRD2DQWR_DLY</span>                 (<span class="vhdlchar">DQRD2DQWR_DLY</span>),</div>
<div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160;         .<span class="vhdlchar">nFAW</span>                          (<span class="vhdlchar">nFAW</span>),</div>
<div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;         .<span class="vhdlchar">nREFRESH_BANK</span>                 (<span class="vhdlchar">nREFRESH_BANK</span>),</div>
<div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;         .<span class="vhdlchar">nRRD</span>                          (<span class="vhdlchar">nRRD</span>),</div>
<div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160;         .<span class="vhdlchar">nWTR</span>                          (<span class="vhdlchar">nWTR</span>),</div>
<div class="line"><a name="l00176"></a><span class="lineno">  176</span>&#160;         .<span class="vhdlchar">PERIODIC_RD_TIMER_DIV</span>         (<span class="vhdlchar">PERIODIC_RD_TIMER_DIV</span>),</div>
<div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160;         .<span class="vhdlchar">RANK_BM_BV_WIDTH</span>              (<span class="vhdlchar">RANK_BM_BV_WIDTH</span>),</div>
<div class="line"><a name="l00178"></a><span class="lineno">  178</span>&#160;         .<span class="vhdlchar">RANK_WIDTH</span>                    (<span class="vhdlchar">RANK_WIDTH</span>),</div>
<div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160;         .<span class="vhdlchar">RANKS</span>                         (<span class="vhdlchar">RANKS</span>),</div>
<div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160;         .<span class="vhdlchar">REFRESH_TIMER_DIV</span>             (<span class="vhdlchar">REFRESH_TIMER_DIV</span>))</div>
<div class="line"><a name="l00181"></a><span class="lineno">  181</span>&#160;        <span class="vhdlchar">rank_cntrl0</span> </div>
<div class="line"><a name="l00182"></a><span class="lineno">  182</span>&#160;          (.<span class="vhdlchar">clear_periodic_rd_request</span>   (<span class="vhdlchar">clear_periodic_rd_request</span>[<span class="vhdlchar">ID</span>]),</div>
<div class="line"><a name="l00183"></a><span class="lineno">  183</span>&#160;           .<span class="vhdlchar">inhbt_act_faw_r</span>             (<span class="vhdlchar">inhbt_act_faw_r</span>[<span class="vhdlchar">ID</span>]),</div>
<div class="line"><a name="l00184"></a><span class="lineno">  184</span>&#160;           .<span class="vhdlchar">inhbt_rd</span>                    (<span class="vhdlchar">inhbt_rd</span>[<span class="vhdlchar">ID</span>]),</div>
<div class="line"><a name="l00185"></a><span class="lineno">  185</span>&#160;           .<span class="vhdlchar">inhbt_wr</span>                    (<span class="vhdlchar">inhbt_wr</span>[<span class="vhdlchar">ID</span>]),</div>
<div class="line"><a name="l00186"></a><span class="lineno">  186</span>&#160;           .<span class="vhdlchar">periodic_rd_request</span>         (<span class="vhdlchar">periodic_rd_request</span>[<span class="vhdlchar">ID</span>]),</div>
<div class="line"><a name="l00187"></a><span class="lineno">  187</span>&#160;           .<span class="vhdlchar">refresh_request</span>             (<span class="vhdlchar">refresh_request</span>[<span class="vhdlchar">ID</span>]),</div>
<div class="line"><a name="l00188"></a><span class="lineno">  188</span>&#160;           <span class="keyword">/*AUTOINST**/</span></div>
<div class="line"><a name="l00189"></a><span class="lineno">  189</span>&#160;           <span class="keyword">// Inputs</span></div>
<div class="line"><a name="l00190"></a><span class="lineno">  190</span>&#160;           .<span class="vhdlchar">clk</span>                         (<span class="vhdlchar">clk</span>),</div>
<div class="line"><a name="l00191"></a><span class="lineno">  191</span>&#160;           .<span class="vhdlchar">rst</span>                         (<span class="vhdlchar">rst</span>),</div>
<div class="line"><a name="l00192"></a><span class="lineno">  192</span>&#160;           .<span class="vhdlchar">col_rd_wr</span>                   (<span class="vhdlchar">col_rd_wr</span>),</div>
<div class="line"><a name="l00193"></a><span class="lineno">  193</span>&#160;           .<span class="vhdlchar">sending_row</span>                 (<span class="vhdlchar">sending_row</span>[<span class="vhdlchar">nBANK_MACHS</span>-<span class="vhdllogic">1</span>:<span class="vhdllogic">0</span>]),</div>
<div class="line"><a name="l00194"></a><span class="lineno">  194</span>&#160;           .<span class="vhdlchar">act_this_rank_r</span>             (<span class="vhdlchar">act_this_rank_r</span>[<span class="vhdlchar">RANK_BM_BV_WIDTH</span>-<span class="vhdllogic">1</span>:<span class="vhdllogic">0</span>]),</div>
<div class="line"><a name="l00195"></a><span class="lineno">  195</span>&#160;           .<span class="vhdlchar">sending_col</span>                 (<span class="vhdlchar">sending_col</span>[<span class="vhdlchar">nBANK_MACHS</span>-<span class="vhdllogic">1</span>:<span class="vhdllogic">0</span>]),</div>
<div class="line"><a name="l00196"></a><span class="lineno">  196</span>&#160;           .<span class="vhdlchar">wr_this_rank_r</span>              (<span class="vhdlchar">wr_this_rank_r</span>[<span class="vhdlchar">RANK_BM_BV_WIDTH</span>-<span class="vhdllogic">1</span>:<span class="vhdllogic">0</span>]),</div>
<div class="line"><a name="l00197"></a><span class="lineno">  197</span>&#160;           .<span class="vhdlchar">app_ref_req</span>                 (<span class="vhdlchar">app_ref_req</span>),</div>
<div class="line"><a name="l00198"></a><span class="lineno">  198</span>&#160;           .<span class="vhdlchar">init_calib_complete</span>         (<span class="vhdlchar">init_calib_complete</span>),</div>
<div class="line"><a name="l00199"></a><span class="lineno">  199</span>&#160;           .<span class="vhdlchar">rank_busy_r</span>                 (<span class="vhdlchar">rank_busy_r</span>[(<span class="vhdlchar">RANKS</span>*<span class="vhdlchar">nBANK_MACHS</span>)-<span class="vhdllogic">1</span>:<span class="vhdllogic">0</span>]),</div>
<div class="line"><a name="l00200"></a><span class="lineno">  200</span>&#160;           .<span class="vhdlchar">refresh_tick</span>                (<span class="vhdlchar">refresh_tick</span>),</div>
<div class="line"><a name="l00201"></a><span class="lineno">  201</span>&#160;           .<span class="vhdlchar">insert_maint_r1</span>             (<span class="vhdlchar">insert_maint_r1</span>),</div>
<div class="line"><a name="l00202"></a><span class="lineno">  202</span>&#160;           .<span class="vhdlchar">maint_zq_r</span>                  (<span class="vhdlchar">maint_zq_r</span>),</div>
<div class="line"><a name="l00203"></a><span class="lineno">  203</span>&#160;           .<span class="vhdlchar">maint_sre_r</span>                 (<span class="vhdlchar">maint_sre_r</span>),</div>
<div class="line"><a name="l00204"></a><span class="lineno">  204</span>&#160;           .<span class="vhdlchar">maint_srx_r</span>                 (<span class="vhdlchar">maint_srx_r</span>),</div>
<div class="line"><a name="l00205"></a><span class="lineno">  205</span>&#160;           .<span class="vhdlchar">maint_rank_r</span>                (<span class="vhdlchar">maint_rank_r</span>[<span class="vhdlchar">RANK_WIDTH</span>-<span class="vhdllogic">1</span>:<span class="vhdllogic">0</span>]),</div>
<div class="line"><a name="l00206"></a><span class="lineno">  206</span>&#160;           .<span class="vhdlchar">app_periodic_rd_req</span>         (<span class="vhdlchar">app_periodic_rd_req</span>),</div>
<div class="line"><a name="l00207"></a><span class="lineno">  207</span>&#160;           .<span class="vhdlchar">maint_prescaler_tick_r</span>      (<span class="vhdlchar">maint_prescaler_tick_r</span>),</div>
<div class="line"><a name="l00208"></a><span class="lineno">  208</span>&#160;           .<span class="vhdlchar">rd_this_rank_r</span>              (<span class="vhdlchar">rd_this_rank_r</span>[<span class="vhdlchar">RANK_BM_BV_WIDTH</span>-<span class="vhdllogic">1</span>:<span class="vhdllogic">0</span>]));</div>
<div class="line"><a name="l00209"></a><span class="lineno">  209</span>&#160;    <span class="vhdlkeyword">end</span></div>
<div class="line"><a name="l00210"></a><span class="lineno">  210</span>&#160;  <span class="vhdlkeyword">endgenerate</span></div>
<div class="line"><a name="l00211"></a><span class="lineno">  211</span>&#160;</div>
<div class="line"><a name="l00212"></a><span class="lineno">  212</span>&#160;  <a class="code" href="enummig__7series__v1__9__rank__common.html">mig_7series_v1_9_rank_common</a> #</div>
<div class="line"><a name="l00213"></a><span class="lineno">  213</span>&#160;    (<span class="keyword">/*AUTOINSTPARAM**/</span></div>
<div class="line"><a name="l00214"></a><span class="lineno">  214</span>&#160;     <span class="keyword">// Parameters</span></div>
<div class="line"><a name="l00215"></a><span class="lineno">  215</span>&#160;     .<span class="vhdlchar">DRAM_TYPE</span>                         (<span class="vhdlchar">DRAM_TYPE</span>),</div>
<div class="line"><a name="l00216"></a><span class="lineno">  216</span>&#160;     .<span class="vhdlchar">MAINT_PRESCALER_DIV</span>               (<span class="vhdlchar">MAINT_PRESCALER_DIV</span>),</div>
<div class="line"><a name="l00217"></a><span class="lineno">  217</span>&#160;     .<span class="vhdlchar">nBANK_MACHS</span>                       (<span class="vhdlchar">nBANK_MACHS</span>),</div>
<div class="line"><a name="l00218"></a><span class="lineno">  218</span>&#160;     .<span class="vhdlchar">nCKESR</span>                            (<span class="vhdlchar">nCKESR</span>),</div>
<div class="line"><a name="l00219"></a><span class="lineno">  219</span>&#160;     .<span class="vhdlchar">nCK_PER_CLK</span>                       (<span class="vhdlchar">nCK_PER_CLK</span>),</div>
<div class="line"><a name="l00220"></a><span class="lineno">  220</span>&#160;     .<span class="vhdlchar">PERIODIC_RD_TIMER_DIV</span>             (<span class="vhdlchar">PERIODIC_RD_TIMER_DIV</span>),</div>
<div class="line"><a name="l00221"></a><span class="lineno">  221</span>&#160;     .<span class="vhdlchar">RANK_WIDTH</span>                        (<span class="vhdlchar">RANK_WIDTH</span>),</div>
<div class="line"><a name="l00222"></a><span class="lineno">  222</span>&#160;     .<span class="vhdlchar">RANKS</span>                             (<span class="vhdlchar">RANKS</span>),</div>
<div class="line"><a name="l00223"></a><span class="lineno">  223</span>&#160;     .<span class="vhdlchar">REFRESH_TIMER_DIV</span>                 (<span class="vhdlchar">REFRESH_TIMER_DIV</span>),</div>
<div class="line"><a name="l00224"></a><span class="lineno">  224</span>&#160;     .<span class="vhdlchar">ZQ_TIMER_DIV</span>                      (<span class="vhdlchar">ZQ_TIMER_DIV</span>))</div>
<div class="line"><a name="l00225"></a><span class="lineno">  225</span>&#160;    <span class="vhdlchar">rank_common0</span></div>
<div class="line"><a name="l00226"></a><span class="lineno">  226</span>&#160;    (.<span class="vhdlchar">clear_periodic_rd_request</span>         (<span class="vhdlchar">clear_periodic_rd_request</span>[<span class="vhdlchar">RANKS</span>-<span class="vhdllogic">1</span>:<span class="vhdllogic">0</span>]),</div>
<div class="line"><a name="l00227"></a><span class="lineno">  227</span>&#160;     <span class="keyword">/*AUTOINST**/</span></div>
<div class="line"><a name="l00228"></a><span class="lineno">  228</span>&#160;     <span class="keyword">// Outputs</span></div>
<div class="line"><a name="l00229"></a><span class="lineno">  229</span>&#160;     .<span class="vhdlchar">maint_prescaler_tick_r</span>            (<span class="vhdlchar">maint_prescaler_tick_r</span>),</div>
<div class="line"><a name="l00230"></a><span class="lineno">  230</span>&#160;     .<span class="vhdlchar">refresh_tick</span>                      (<span class="vhdlchar">refresh_tick</span>),</div>
<div class="line"><a name="l00231"></a><span class="lineno">  231</span>&#160;     .<span class="vhdlchar">maint_zq_r</span>                        (<span class="vhdlchar">maint_zq_r</span>),</div>
<div class="line"><a name="l00232"></a><span class="lineno">  232</span>&#160;     .<span class="vhdlchar">maint_sre_r</span>                       (<span class="vhdlchar">maint_sre_r</span>),</div>
<div class="line"><a name="l00233"></a><span class="lineno">  233</span>&#160;     .<span class="vhdlchar">maint_srx_r</span>                       (<span class="vhdlchar">maint_srx_r</span>),</div>
<div class="line"><a name="l00234"></a><span class="lineno">  234</span>&#160;     .<span class="vhdlchar">maint_req_r</span>                       (<span class="vhdlchar">maint_req_r</span>),</div>
<div class="line"><a name="l00235"></a><span class="lineno">  235</span>&#160;     .<span class="vhdlchar">maint_rank_r</span>                      (<span class="vhdlchar">maint_rank_r</span>[<span class="vhdlchar">RANK_WIDTH</span>-<span class="vhdllogic">1</span>:<span class="vhdllogic">0</span>]),</div>
<div class="line"><a name="l00236"></a><span class="lineno">  236</span>&#160;     .<span class="vhdlchar">maint_ref_zq_wip</span>                  (<span class="vhdlchar">maint_ref_zq_wip</span>),</div>
<div class="line"><a name="l00237"></a><span class="lineno">  237</span>&#160;     .<span class="vhdlchar">periodic_rd_r</span>                     (<span class="vhdlchar">periodic_rd_r</span>),</div>
<div class="line"><a name="l00238"></a><span class="lineno">  238</span>&#160;     .<span class="vhdlchar">periodic_rd_rank_r</span>                (<span class="vhdlchar">periodic_rd_rank_r</span>[<span class="vhdlchar">RANK_WIDTH</span>-<span class="vhdllogic">1</span>:<span class="vhdllogic">0</span>]),</div>
<div class="line"><a name="l00239"></a><span class="lineno">  239</span>&#160;     <span class="keyword">// Inputs</span></div>
<div class="line"><a name="l00240"></a><span class="lineno">  240</span>&#160;     .<span class="vhdlchar">clk</span>                               (<span class="vhdlchar">clk</span>),</div>
<div class="line"><a name="l00241"></a><span class="lineno">  241</span>&#160;     .<span class="vhdlchar">rst</span>                               (<span class="vhdlchar">rst</span>),</div>
<div class="line"><a name="l00242"></a><span class="lineno">  242</span>&#160;     .<span class="vhdlchar">init_calib_complete</span>               (<span class="vhdlchar">init_calib_complete</span>),</div>
<div class="line"><a name="l00243"></a><span class="lineno">  243</span>&#160;     .<span class="vhdlchar">app_ref_req</span>                       (<span class="vhdlchar">app_ref_req</span>),</div>
<div class="line"><a name="l00244"></a><span class="lineno">  244</span>&#160;     .<span class="vhdlchar">app_ref_ack</span>                       (<span class="vhdlchar">app_ref_ack</span>),</div>
<div class="line"><a name="l00245"></a><span class="lineno">  245</span>&#160;     .<span class="vhdlchar">app_zq_req</span>                        (<span class="vhdlchar">app_zq_req</span>),</div>
<div class="line"><a name="l00246"></a><span class="lineno">  246</span>&#160;     .<span class="vhdlchar">app_zq_ack</span>                        (<span class="vhdlchar">app_zq_ack</span>),</div>
<div class="line"><a name="l00247"></a><span class="lineno">  247</span>&#160;     .<span class="vhdlchar">app_sr_req</span>                        (<span class="vhdlchar">app_sr_req</span>),</div>
<div class="line"><a name="l00248"></a><span class="lineno">  248</span>&#160;     .<span class="vhdlchar">app_sr_active</span>                     (<span class="vhdlchar">app_sr_active</span>),</div>
<div class="line"><a name="l00249"></a><span class="lineno">  249</span>&#160;     .<span class="vhdlchar">insert_maint_r1</span>                   (<span class="vhdlchar">insert_maint_r1</span>),</div>
<div class="line"><a name="l00250"></a><span class="lineno">  250</span>&#160;     .<span class="vhdlchar">refresh_request</span>                   (<span class="vhdlchar">refresh_request</span>[<span class="vhdlchar">RANKS</span>-<span class="vhdllogic">1</span>:<span class="vhdllogic">0</span>]),</div>
<div class="line"><a name="l00251"></a><span class="lineno">  251</span>&#160;     .<span class="vhdlchar">maint_wip_r</span>                       (<span class="vhdlchar">maint_wip_r</span>),</div>
<div class="line"><a name="l00252"></a><span class="lineno">  252</span>&#160;     .<span class="vhdlchar">slot_0_present</span>                    (<span class="vhdlchar">slot_0_present</span>[<span class="vhdllogic">7</span>:<span class="vhdllogic">0</span>]),</div>
<div class="line"><a name="l00253"></a><span class="lineno">  253</span>&#160;     .<span class="vhdlchar">slot_1_present</span>                    (<span class="vhdlchar">slot_1_present</span>[<span class="vhdllogic">7</span>:<span class="vhdllogic">0</span>]),</div>
<div class="line"><a name="l00254"></a><span class="lineno">  254</span>&#160;     .<span class="vhdlchar">periodic_rd_request</span>               (<span class="vhdlchar">periodic_rd_request</span>[<span class="vhdlchar">RANKS</span>-<span class="vhdllogic">1</span>:<span class="vhdllogic">0</span>]),</div>
<div class="line"><a name="l00255"></a><span class="lineno">  255</span>&#160;     .<span class="vhdlchar">periodic_rd_ack_r</span>                 (<span class="vhdlchar">periodic_rd_ack_r</span>));</div>
<div class="line"><a name="l00256"></a><span class="lineno">  256</span>&#160;</div>
<div class="line"><a name="l00257"></a><span class="lineno">  257</span>&#160;   </div>
<div class="line"><a name="l00258"></a><span class="lineno">  258</span>&#160;<span class="vhdlkeyword">endmodule</span></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Sep 8 2021 11:22:40 for AMC13 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
